Package ghidra.app.util.bin.format.som

# Class SomConstants

java.lang.Object
ghidra.app.util.bin.format.som.SomConstants

public class SomConstants extends Object
SOM constant values

See Also:
  - The 32-bit PA-RISC Run-time Architecture Document

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `static final int`
  `COPYRIGHT`
  `static final int`
  `DEBUGGER_FOOTPRINT`
  `static final int`
  `DR_DATA_EXT`
  `static final int`
  `DR_DATA_INT`
  `static final int`
  `DR_INVOKE`
  `static final int`
  `DR_PLABEL_EXT`
  `static final int`
  `DR_PLABEL_INT`
  `static final int`
  `DR_PROPAGATE`
  `static final int`
  `DR_TEXT_INT`
  `static final int`
  `EXEC_AUXILIARY_HEADER`
  `static final int`
  `IPL_AUXILIARY_HEADER`
  `static final int`
  `LINKER_FOOTPRINT`
  `static final int`
  `MAGIC_DYNAMIC_LOAD_LIBRARY`
  `static final int`
  `MAGIC_LIBRARY`
  `static final int`
  `MAGIC_NON_SHAREABLE_EXE`
  `static final int`
  `MAGIC_RELOCATABLE`
  `static final int`
  `MAGIC_RELOCATABLE_LIBRARY`
  `static final int`
  `MAGIC_SHARABLE_DEMAND_LOADABLE_EXE`
  `static final int`
  `MAGIC_SHAREABLE_EXE`
  `static final int`
  `MAGIC_SHARED_LIBRARY`
  `static final int`
  `MEP_IX_PROGRAM`
  `static final int`
  `MPE_IX_PROGRAM`
  `static final int`
  `MPE_IX_SOM`
  `static final int`
  `NETWARE_LOADABLE_MODULE`
  `static final int`
  `PRODUCT_SPECIFICS`
  `static final int`
  `SHARED_LIBARY_VERSION_INFORMATION`
  `static final int`
  `SYMBOL_ABSOLUTE`
  `static final int`
  `SYMBOL_ARG_EXT`
  `static final int`
  `SYMBOL_CODE`
  `static final int`
  `SYMBOL_COMDAT`
  `static final int`
  `SYMBOL_DATA`
  `static final int`
  `SYMBOL_ENTRY`
  `static final int`
  `SYMBOL_MILLI_EXT`
  `static final int`
  `SYMBOL_MILLICODE`
  `static final int`
  `SYMBOL_MODULE`
  `static final int`
  `SYMBOL_NULL`
  `static final int`
  `SYMBOL_OCT_DIS`
  `static final int`
  `SYMBOL_PLABEL`
  `static final int`
  `SYMBOL_PRI_PROG`
  `static final int`
  `SYMBOL_SCOPE_EXTERNAL`
  `static final int`
  `SYMBOL_SCOPE_LOCAL`
  `static final int`
  `SYMBOL_SCOPE_UNIVERSAL`
  `static final int`
  `SYMBOL_SCOPE_UNSAT`
  `static final int`
  `SYMBOL_SEC_PROG`
  `static final int`
  `SYMBOL_STORAGE`
  `static final int`
  `SYMBOL_STUB`
  `static final int`
  `SYMBOL_SYM_EXT`
  `static final int`
  `SYMBOL_TSTORAGE`
  `static final int`
  `SYSTEM_PA_RISC_1_0`
  `static final int`
  `SYSTEM_PA_RISC_1_1`
  `static final int`
  `SYSTEM_PA_RISC_2_0`
  `static final int`
  `TYPE_NULL`
  `static final int`
  `VERSION_NEW`
  `static final int`
  `VERSION_OLD`
  `static final int`
  `VERSION_STRIING`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `SomConstants()`

- ## Method Summary

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### SYSTEM_PA_RISC_1_0

    public static final int SYSTEM_PA_RISC_1_0
    See Also:
      - Constant Field Values

  - ### SYSTEM_PA_RISC_1_1

    public static final int SYSTEM_PA_RISC_1_1
    See Also:
      - Constant Field Values

  - ### SYSTEM_PA_RISC_2_0

    public static final int SYSTEM_PA_RISC_2_0
    See Also:
      - Constant Field Values

  - ### MAGIC_LIBRARY

    public static final int MAGIC_LIBRARY
    See Also:
      - Constant Field Values

  - ### MAGIC_RELOCATABLE

    public static final int MAGIC_RELOCATABLE
    See Also:
      - Constant Field Values

  - ### MAGIC_NON_SHAREABLE_EXE

    public static final int MAGIC_NON_SHAREABLE_EXE
    See Also:
      - Constant Field Values

  - ### MAGIC_SHAREABLE_EXE

    public static final int MAGIC_SHAREABLE_EXE
    See Also:
      - Constant Field Values

  - ### MAGIC_SHARABLE_DEMAND_LOADABLE_EXE

    public static final int MAGIC_SHARABLE_DEMAND_LOADABLE_EXE
    See Also:
      - Constant Field Values

  - ### MAGIC_DYNAMIC_LOAD_LIBRARY

    public static final int MAGIC_DYNAMIC_LOAD_LIBRARY
    See Also:
      - Constant Field Values

  - ### MAGIC_SHARED_LIBRARY

    public static final int MAGIC_SHARED_LIBRARY
    See Also:
      - Constant Field Values

  - ### MAGIC_RELOCATABLE_LIBRARY

    public static final int MAGIC_RELOCATABLE_LIBRARY
    See Also:
      - Constant Field Values

  - ### VERSION_OLD

    public static final int VERSION_OLD
    See Also:
      - Constant Field Values

  - ### VERSION_NEW

    public static final int VERSION_NEW
    See Also:
      - Constant Field Values

  - ### TYPE_NULL

    public static final int TYPE_NULL
    See Also:
      - Constant Field Values

  - ### LINKER_FOOTPRINT

    public static final int LINKER_FOOTPRINT
    See Also:
      - Constant Field Values

  - ### MEP_IX_PROGRAM

    public static final int MEP_IX_PROGRAM
    See Also:
      - Constant Field Values

  - ### DEBUGGER_FOOTPRINT

    public static final int DEBUGGER_FOOTPRINT
    See Also:
      - Constant Field Values

  - ### EXEC_AUXILIARY_HEADER

    public static final int EXEC_AUXILIARY_HEADER
    See Also:
      - Constant Field Values

  - ### IPL_AUXILIARY_HEADER

    public static final int IPL_AUXILIARY_HEADER
    See Also:
      - Constant Field Values

  - ### VERSION_STRIING

    public static final int VERSION_STRIING
    See Also:
      - Constant Field Values

  - ### MPE_IX_PROGRAM

    public static final int MPE_IX_PROGRAM
    See Also:
      - Constant Field Values

  - ### MPE_IX_SOM

    public static final int MPE_IX_SOM
    See Also:
      - Constant Field Values

  - ### COPYRIGHT

    public static final int COPYRIGHT
    See Also:
      - Constant Field Values

  - ### SHARED_LIBARY_VERSION_INFORMATION

    public static final int SHARED_LIBARY_VERSION_INFORMATION
    See Also:
      - Constant Field Values

  - ### PRODUCT_SPECIFICS

    public static final int PRODUCT_SPECIFICS
    See Also:
      - Constant Field Values

  - ### NETWARE_LOADABLE_MODULE

    public static final int NETWARE_LOADABLE_MODULE
    See Also:
      - Constant Field Values

  - ### SYMBOL_NULL

    public static final int SYMBOL_NULL
    See Also:
      - Constant Field Values

  - ### SYMBOL_ABSOLUTE

    public static final int SYMBOL_ABSOLUTE
    See Also:
      - Constant Field Values

  - ### SYMBOL_DATA

    public static final int SYMBOL_DATA
    See Also:
      - Constant Field Values

  - ### SYMBOL_CODE

    public static final int SYMBOL_CODE
    See Also:
      - Constant Field Values

  - ### SYMBOL_PRI_PROG

    public static final int SYMBOL_PRI_PROG
    See Also:
      - Constant Field Values

  - ### SYMBOL_SEC_PROG

    public static final int SYMBOL_SEC_PROG
    See Also:
      - Constant Field Values

  - ### SYMBOL_ENTRY

    public static final int SYMBOL_ENTRY
    See Also:
      - Constant Field Values

  - ### SYMBOL_STORAGE

    public static final int SYMBOL_STORAGE
    See Also:
      - Constant Field Values

  - ### SYMBOL_STUB

    public static final int SYMBOL_STUB
    See Also:
      - Constant Field Values

  - ### SYMBOL_MODULE

    public static final int SYMBOL_MODULE
    See Also:
      - Constant Field Values

  - ### SYMBOL_SYM_EXT

    public static final int SYMBOL_SYM_EXT
    See Also:
      - Constant Field Values

  - ### SYMBOL_ARG_EXT

    public static final int SYMBOL_ARG_EXT
    See Also:
      - Constant Field Values

  - ### SYMBOL_MILLICODE

    public static final int SYMBOL_MILLICODE
    See Also:
      - Constant Field Values

  - ### SYMBOL_PLABEL

    public static final int SYMBOL_PLABEL
    See Also:
      - Constant Field Values

  - ### SYMBOL_OCT_DIS

    public static final int SYMBOL_OCT_DIS
    See Also:
      - Constant Field Values

  - ### SYMBOL_MILLI_EXT

    public static final int SYMBOL_MILLI_EXT
    See Also:
      - Constant Field Values

  - ### SYMBOL_TSTORAGE

    public static final int SYMBOL_TSTORAGE
    See Also:
      - Constant Field Values

  - ### SYMBOL_COMDAT

    public static final int SYMBOL_COMDAT
    See Also:
      - Constant Field Values

  - ### SYMBOL_SCOPE_UNSAT

    public static final int SYMBOL_SCOPE_UNSAT
    See Also:
      - Constant Field Values

  - ### SYMBOL_SCOPE_EXTERNAL

    public static final int SYMBOL_SCOPE_EXTERNAL
    See Also:
      - Constant Field Values

  - ### SYMBOL_SCOPE_LOCAL

    public static final int SYMBOL_SCOPE_LOCAL
    See Also:
      - Constant Field Values

  - ### SYMBOL_SCOPE_UNIVERSAL

    public static final int SYMBOL_SCOPE_UNIVERSAL
    See Also:
      - Constant Field Values

  - ### DR_PLABEL_EXT

    public static final int DR_PLABEL_EXT
    See Also:
      - Constant Field Values

  - ### DR_PLABEL_INT

    public static final int DR_PLABEL_INT
    See Also:
      - Constant Field Values

  - ### DR_DATA_EXT

    public static final int DR_DATA_EXT
    See Also:
      - Constant Field Values

  - ### DR_DATA_INT

    public static final int DR_DATA_INT
    See Also:
      - Constant Field Values

  - ### DR_PROPAGATE

    public static final int DR_PROPAGATE
    See Also:
      - Constant Field Values

  - ### DR_INVOKE

    public static final int DR_INVOKE
    See Also:
      - Constant Field Values

  - ### DR_TEXT_INT

    public static final int DR_TEXT_INT
    See Also:
      - Constant Field Values

- ## Constructor Details

  - ### SomConstants

    public SomConstants()